Package fr.gouv.vitam.common.client

# Enum Class IngestCollection

java.lang.Object
java.lang.Enum<IngestCollection>
fr.gouv.vitam.common.client.IngestCollection

All Implemented Interfaces:
  `Serializable`, `Comparable<IngestCollection>`, `Constable`

public enum IngestCollection extends Enum<IngestCollection>
Ingest collection types with collection names.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARCHIVETRANSFERREPLY`
  ATR collection
  `BATCH_REPORT`
  Ugly hack hack for homogeneity download batch update reports
  `DISTRIBUTIONREPORTS`
  Ugly hack hack for homogeneity download batch update reports
  `MANIFESTS`
  Manifests collection
  `REFERENTIAL_AGENCIES_CSV`
  Ugly hack for homogeneity download agencies imported
  `REFERENTIAL_RULES_CSV`
  Ugly hack for homogeneity download rules imported
  `REPORTS`
  Reports collection
  `RULES`
  Ugly hack for homogeneity download Reports

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollectionName()`
  `static IngestCollection`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IngestCollection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPORTS

    public static final IngestCollection REPORTS
    Reports collection

  - ### ARCHIVETRANSFERREPLY

    public static final IngestCollection ARCHIVETRANSFERREPLY
    ATR collection

  - ### MANIFESTS

    public static final IngestCollection MANIFESTS
    Manifests collection

  - ### RULES

    public static final IngestCollection RULES
    Ugly hack for homogeneity download Reports

  - ### REFERENTIAL_RULES_CSV

    public static final IngestCollection REFERENTIAL_RULES_CSV
    Ugly hack for homogeneity download rules imported

  - ### REFERENTIAL_AGENCIES_CSV

    public static final IngestCollection REFERENTIAL_AGENCIES_CSV
    Ugly hack for homogeneity download agencies imported

  - ### DISTRIBUTIONREPORTS

    public static final IngestCollection DISTRIBUTIONREPORTS
    Ugly hack hack for homogeneity download batch update reports

  - ### BATCH_REPORT

    public static final IngestCollection BATCH_REPORT
    Ugly hack hack for homogeneity download batch update reports

- ## Method Details

  - ### values

    public static IngestCollection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IngestCollection valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCollectionName

    public String getCollectionName()
    Returns:
      the Collection name